package com.ejie.ab79.model.inspecciones;

/**
 * RelExpIns  
 * 
 *  
 */

public class RelExpIns implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpIns;
	private Integer idExpediente;
	private Integer tipoInspeccion;
	private String usuarioRegistro;
	private String usuarioUltmodificacion;
	private Inspecciones inspecciones;

	/**
	 * Method 'RelExpIns'.
	 */
	public RelExpIns() {
	}

	/**
	 * Method 'RelExpIns'.
	 * 
	 * @param idRelExpIns
	 *            Integer
	 */
	public RelExpIns(Integer idRelExpIns) {
		this.idRelExpIns = idRelExpIns;
	}

	/**
	 * Method 'RelExpIns'.
	 * 
	 * @param idRelExpIns
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param idInspeccion
	 *            Integer
	 * @param tipoInspeccion
	 *            Integer
	 * @param usuarioRegistro
	 *            String
	 */
	public RelExpIns(Integer idRelExpIns, Integer idExpediente, Inspecciones inspecciones, Integer tipoInspeccion,
			String usuarioRegistro) {

		this.idRelExpIns = idRelExpIns;
		this.idExpediente = idExpediente;
		this.inspecciones = inspecciones;
		this.tipoInspeccion = tipoInspeccion;
		this.usuarioRegistro = usuarioRegistro;

	}

	/**
	 * Method 'getIdRelExpIns'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpIns() {
		return this.idRelExpIns;
	}

	/**
	 * Method 'setIdRelExpIns'.
	 *
	 * @param idRelExpIns
	 *            Integer
	 * @return
	 */

	public void setIdRelExpIns(Integer idRelExpIns) {
		this.idRelExpIns = idRelExpIns;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getIdInspeccion'.
	 *
	 * @return Integer
	 */

	public Inspecciones getInspecciones() {
		return inspecciones;
	}

	public void setInspecciones(Inspecciones inspecciones) {
		this.inspecciones = inspecciones;
	}

	/**
	 * Method 'getTipoInspeccion'.
	 *
	 * @return Integer
	 */

	public Integer getTipoInspeccion() {
		return this.tipoInspeccion;
	}

	/**
	 * Method 'setTipoInspeccion'.
	 *
	 * @param tipoInspeccion
	 *            Integer
	 * @return
	 */

	public void setTipoInspeccion(Integer tipoInspeccion) {
		this.tipoInspeccion = tipoInspeccion;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelExpIns: ").append(this.idRelExpIns).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ tipoInspeccion: ").append(this.tipoInspeccion).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
